package org.dromara.system.service;

import org.dromara.system.domain.TblDzbcMultiSitePath;
import org.dromara.system.domain.bo.TblDzbcMultiSitePathBo;
import org.dromara.system.domain.vo.TblDzbcMultiSitePathVo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

public interface ITblDzbcMultiSitePathService {

    TblDzbcMultiSitePathVo queryById(Long id);

    /**
     * 根据站点ID查询包含该站点的多站点路线列表
     * @param siteId 站点ID
     * @param hasSchedul 是否只返回有未过期排班的路线 1-是 0-否(默认)
     * @return 路线列表
     */
    List<TblDzbcMultiSitePathVo> queryBySiteId(Long siteId, Integer hasSchedul);

    TableDataInfo<TblDzbcMultiSitePathVo> queryPageList(TblDzbcMultiSitePathBo bo, PageQuery pageQuery);

    List<TblDzbcMultiSitePathVo> queryList(TblDzbcMultiSitePathBo bo);

    TblDzbcMultiSitePathVo queryByIdWithDetails(Long id);

    Boolean insertByBo(TblDzbcMultiSitePathBo bo);

    Boolean updateByBo(TblDzbcMultiSitePathBo bo);

    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
